%
%                            Copyright 2008 Cleimar Jos Salvador, 
%					                        Diego da Silva de Medeiros,
%						                    Fabrcio Emydio da Silva, 
%						                    Patrick Hedlund Rosa, 
%						                    Marcos Moecke, 
%						                    Mario de Noronha Neto
%
%
%    This file is part of CaTICIS-TX.
%
%    CaTICIS-TX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    CaTICIS-TX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with CaTICIS-TX. If not, see <http://www.gnu.org/licenses/>.
%

%% BMP2JPEG(fig_bitmap,modo)
% Faz a converso da figura FIG_BITMAP para o padro jpeg.
% O valor de MODO, indica a converso a ser realizada
function fig_jpeg = BMP2JPEG(fig_bitmap,modo)

%% MODO = NADA
% No modo "nada", nenhuma converso  realizada, apenas a matriz 
% convertida em um vetor para ser transmitido na serial.
if strcmpi(modo,'nada')
    
    % Pega o tamanho da imagem
    tam = size(fig_bitmap);
    % Aloca memria para a imagem jpeg
    fig_jpeg = zeros(1,tam(1)*tam(2)*tam(3),'uint8');
    % "i" indexa toda a imagem
    i = 1 : tam(1)*tam(2)*tam(3);
    % Converte a matriz da figura BMP para um vetor 
    fig_jpeg(i) = fig_bitmap(i);

%% MODO = HD
% No modo "hd", a converso  realizada, porm, utilizando o chuncho da
% gravao no HD e leitura de arquivo binrio.
elseif strcmpi(modo,'hd')

    % Grava a imagem no HD como JPEG
    imwrite(fig_bitmap,'Imagem.jpg','jpeg');
    % Abre o arquivo como binrio
    fid = fopen('Imagem.jpg', 'r');
    % L a imagem
    fig_jpeg = fread(fid);
    % Encerra o descritor para o arquivo
    fclose(fid);
 
end