%
%                            Copyright 2008 Cleimar Jos Salvador, 
%					                        Diego da Silva de Medeiros,
%						                    Fabrcio Emydio da Silva, 
%						                    Patrick Hedlund Rosa, 
%						                    Marcos Moecke, 
%						                    Mario de Noronha Neto
%
%
%    This file is part of CaTICIS-TX.
%
%    CaTICIS-TX is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    CaTICIS-TX is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with CaTICIS-TX. If not, see <http://www.gnu.org/licenses/>.
%

%% ConfiguraSerial.m
% Faz a configurao da porta serial para a transmisso do vdeo. Baseado
% no roteiro *Acessando a porta serial usando o MatLab*.

%% Criao do objeto da classe *Serial*
serialUm = serial('COM1');

%% Configurando parmetros desejados
%
% O terminal T-75 tem a seguinte configurao padro da interface serial:
%
% * *BaudRate*: 115200
% * *DataBits*: 8
% * *Parity*: none
% * *StopBits*: 1
% * *FlowControl*: Xon/Xoff (software)
%
% No comando a seguir, o objeto serialUm ser configurado desta forma
set(serialUm,'BaudRate',115200,'DataBits',8,'Parity','none','StopBits',1,'FlowControl','none','Terminator','LF');

set(serialUm,'OutputBufferSize',250000);


